@import '{}/imports/ui/stylesheets/variables/index';

.discussion-conversation {
	background: $body-bg;
	padding: 15px ($grid-gutter-width / 2);
	border: $course-border-width solid $course-border-color;
	margin-bottom: -$course-border-width;
	margin-top: -$course-border-width;
}

.discussion-conversation + .discussion-conversation {
	margin-top: 0;
	// padding-top: 0;
}


/*
.course-page-btn + .discussion-conversation {
	margin-top: $course-details-seperator-height;
}
*/

$discussion-thumb-width: 50;

.discussion-thumb {
	display: table-cell;
	position: relative;
	width: $discussion-thumb-width * 1px;
}

.discussion-profile-icon {
	@include td-pos(left, 0);
	position: absolute;
	top: 0;
	vertical-align: text-bottom;
	width: ($discussion-thumb-width - 10) * 1px;
}

.discussion-post-content,
.discussion-edit-content {
	border: 1px solid;
	display: table-cell;
	padding: 0;
}

$discussion-post-bg: $body-bg;

.discussion-post-content {
	@include break-word;
	border-color: darken($discussion-post-bg, 10%);
}

.discussion-post-header,
.discussion-edit-header {
	padding: 5px ($grid-gutter-width / 2);
}

.discussion-post-body,
.discussion-edit-body {
	padding: 10px ($grid-gutter-width / 2) 0;
}

.discussion-post {
	background: $discussion-post-bg;
	display: table;
	width: 100%;
}

.discussion-post-header {
	background: darken($discussion-post-bg, 5%);
}

.discussion-post-header .profilelink,
.discussion-post-header .username {
	font-weight: bold;
}

.discussion-buttons {
	@include td-float(right);
}

.discussion-edit-btn {
	@include td-margin(right, -5px);
}

.discussion-delete-btn {
	@include td-margin(right, -10px);
}

.js-delete-comment {
	margin-top: 5px;
	padding: 6px 24px;
}

.discussion-edit-btn,
.discussion-delete-btn {
	background: none;
	border: 0;
	color: $gray-600;

	&:hover {
		color: $gray-800;
	}
}

.discussion-post-header-sub {
	color: $gray-600;
	cursor: default;
}

.discussion-post-title {
	margin-top: 0;
}

.discussion-post-title + p {
	padding-top: 0;
}

.toggle-all-responses {
	@include td-margin(left, ($discussion-thumb-width * 1px));
}

.discussion-comment {
	@include td-padding-all(7px, 0, 0, ($discussion-thumb-width * 1px));
	display: table;
	position: relative;
	width: 100%;
}

.discussion-comment + .discussion-reply {
	@include td-padding(left, $discussion-thumb-width * 2 * 1px);
}

.discussion-post + .discussion-reply,
.discussion-comment + .discussion-reply {
	margin-top: 10px;
}

.discussion-post,
.discussion-comment {
	transition: opacity 0.15s;

	&.is-saving {
		opacity: 0.6;
		transition: opacity 0.15s;
	}
}

$discussion-edit-bg: lighten($gray-400, 10%);

.discussion-edit-content {
	background: $discussion-edit-bg;
	border-color: darken($discussion-edit-bg, 5%);
}

.discussion-edit-header {
	background: darken($discussion-edit-bg, 5%);
}

.discussion-reply {
	@include td-padding(left, $discussion-thumb-width * 1px);
}

.discussion-post-new {
	margin-top: $course-details-seperator-height;
	padding: 15px ($grid-gutter-width / 2);
	width: 100%;
}

.discussion-post-new + .discussion-conversation {
	padding-top: 0;
}
